Skip to main content
POST
/
v0
/
user
/
claim-credit-grant-link
curl --request POST \
  --url 'https://api.unify.ai/v0/user/claim-credit-grant-link' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "message": "string",
    "credits_granted": "number | null",
    "credited_to": "string | null"
}
Claim a credit grant link. Credits are applied to the billing account that corresponds to the caller’s active workspace:
  • Personal API key → user’s BillingAccount
  • Organization API key → organization’s BillingAccount
Guards:
  • Per-link budget: number of claims must stay below max_claims.
  • Per-user lifetime: a user can only benefit from one link ever.
  • Per-org lifetime: an organization can only benefit from one link ever.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

token
string
required
curl --request POST \
  --url 'https://api.unify.ai/v0/user/claim-credit-grant-link' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "message": "string",
    "credits_granted": "number | null",
    "credited_to": "string | null"
}